- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Evas_Event_Mouse_In Struct Reference

Mouse enter event. More...

## Data Fields
int | buttons
| Button pressed mask, Bits set to 1 are buttons currently pressed (bit 0 = mouse button 1, bit 1 = mouse button 2 etc.)
Evas_Point | output
| The X/Y location of the cursor.
Evas_Coord_Point | canvas
| The X/Y location of the cursor.
void * | data
Evas_Modifier * | modifiers
| modifier keys pressed during the event
Evas_Lock * | locks
unsigned int | timestamp
Evas_Event_Flags | event_flags
Evas_Device * | dev
Evas_Object * | event_src
| The Evas Object which actually triggered the event, used in cases of proxy event propagation.

## Detailed Description

Mouse enter event.

Examples:
  evas-images2.c.